// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.34.1
// 	protoc        (unknown)
// source: vault/v0alpha/service.proto

package v0alpha

import (
	_ "buf.build/gen/go/bufbuild/protovalidate/protocolbuffers/go/buf/validate"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// CreatePasswordRequest contains all the necessary information
// about creating your desired password.
type CreatePasswordRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The username for this password.
	Username string `protobuf:"bytes,3,opt,name=username,proto3" json:"username,omitempty"`
	// Password information. Plain text. Encryption should be done,
	// on the local machine, by the implementing service.
	Password string `protobuf:"bytes,4,opt,name=password,proto3" json:"password,omitempty"`
	// The name/title of this password.
	Name string `protobuf:"bytes,5,opt,name=name,proto3" json:"name,omitempty"`
	// The site's url that this password will be used on.
	Url string `protobuf:"bytes,6,opt,name=url,proto3" json:"url,omitempty"`
	// The folder (if any) of this password.
	FolderId string `protobuf:"bytes,7,opt,name=folder_id,json=folderId,proto3" json:"folder_id,omitempty"`
	// Notes on this password.
	Note string `protobuf:"bytes,8,opt,name=note,proto3" json:"note,omitempty"`
	// Favourite mark. Yay or nay.
	Favourite bool `protobuf:"varint,9,opt,name=favourite,proto3" json:"favourite,omitempty"`
}

func (x *CreatePasswordRequest) Reset() {
	*x = CreatePasswordRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vault_v0alpha_service_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreatePasswordRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreatePasswordRequest) ProtoMessage() {}

func (x *CreatePasswordRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vault_v0alpha_service_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreatePasswordRequest.ProtoReflect.Descriptor instead.
func (*CreatePasswordRequest) Descriptor() ([]byte, []int) {
	return file_vault_v0alpha_service_proto_rawDescGZIP(), []int{0}
}

func (x *CreatePasswordRequest) GetUsername() string {
	if x != nil {
		return x.Username
	}
	return ""
}

func (x *CreatePasswordRequest) GetPassword() string {
	if x != nil {
		return x.Password
	}
	return ""
}

func (x *CreatePasswordRequest) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *CreatePasswordRequest) GetUrl() string {
	if x != nil {
		return x.Url
	}
	return ""
}

func (x *CreatePasswordRequest) GetFolderId() string {
	if x != nil {
		return x.FolderId
	}
	return ""
}

func (x *CreatePasswordRequest) GetNote() string {
	if x != nil {
		return x.Note
	}
	return ""
}

func (x *CreatePasswordRequest) GetFavourite() bool {
	if x != nil {
		return x.Favourite
	}
	return false
}

// CreatePasswordResponse simply contains information on the created password.
type CreatePasswordResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The ID of the password that was created.
	Id string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *CreatePasswordResponse) Reset() {
	*x = CreatePasswordResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vault_v0alpha_service_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreatePasswordResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreatePasswordResponse) ProtoMessage() {}

func (x *CreatePasswordResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vault_v0alpha_service_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreatePasswordResponse.ProtoReflect.Descriptor instead.
func (*CreatePasswordResponse) Descriptor() ([]byte, []int) {
	return file_vault_v0alpha_service_proto_rawDescGZIP(), []int{1}
}

func (x *CreatePasswordResponse) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

// SavePasswordRequest contains all fields that should be updated.
// Only the record with the corresponding ID will be updated.
type SavePasswordRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The record's ID that will be used as a WHERE statement.
	Id string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	// The new username.
	Username string `protobuf:"bytes,3,opt,name=username,proto3" json:"username,omitempty"`
	// The new password. No encryption is necessary,
	// as this will be only present on the local computer.
	Password string `protobuf:"bytes,4,opt,name=password,proto3" json:"password,omitempty"`
	// The new name/title for the password.
	Name string `protobuf:"bytes,5,opt,name=name,proto3" json:"name,omitempty"`
	// The new url of the site.
	Url string `protobuf:"bytes,6,opt,name=url,proto3" json:"url,omitempty"`
	// The new folder.
	FolderId string `protobuf:"bytes,7,opt,name=folder_id,json=folderId,proto3" json:"folder_id,omitempty"`
	// The new notes on this password.
	Note string `protobuf:"bytes,8,opt,name=note,proto3" json:"note,omitempty"`
	// The new favourite mark. Yay or nay.
	Favourite bool `protobuf:"varint,9,opt,name=favourite,proto3" json:"favourite,omitempty"`
}

func (x *SavePasswordRequest) Reset() {
	*x = SavePasswordRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vault_v0alpha_service_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SavePasswordRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SavePasswordRequest) ProtoMessage() {}

func (x *SavePasswordRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vault_v0alpha_service_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SavePasswordRequest.ProtoReflect.Descriptor instead.
func (*SavePasswordRequest) Descriptor() ([]byte, []int) {
	return file_vault_v0alpha_service_proto_rawDescGZIP(), []int{2}
}

func (x *SavePasswordRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *SavePasswordRequest) GetUsername() string {
	if x != nil {
		return x.Username
	}
	return ""
}

func (x *SavePasswordRequest) GetPassword() string {
	if x != nil {
		return x.Password
	}
	return ""
}

func (x *SavePasswordRequest) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *SavePasswordRequest) GetUrl() string {
	if x != nil {
		return x.Url
	}
	return ""
}

func (x *SavePasswordRequest) GetFolderId() string {
	if x != nil {
		return x.FolderId
	}
	return ""
}

func (x *SavePasswordRequest) GetNote() string {
	if x != nil {
		return x.Note
	}
	return ""
}

func (x *SavePasswordRequest) GetFavourite() bool {
	if x != nil {
		return x.Favourite
	}
	return false
}

// SavePasswordResponse contains information about the result on saving the password.
type SavePasswordResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Ok is true if the password was saved successfully, without errors.
	// It can be false, even without errors, when no records were updated.
	Ok bool `protobuf:"varint,1,opt,name=ok,proto3" json:"ok,omitempty"`
}

func (x *SavePasswordResponse) Reset() {
	*x = SavePasswordResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vault_v0alpha_service_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SavePasswordResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SavePasswordResponse) ProtoMessage() {}

func (x *SavePasswordResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vault_v0alpha_service_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SavePasswordResponse.ProtoReflect.Descriptor instead.
func (*SavePasswordResponse) Descriptor() ([]byte, []int) {
	return file_vault_v0alpha_service_proto_rawDescGZIP(), []int{3}
}

func (x *SavePasswordResponse) GetOk() bool {
	if x != nil {
		return x.Ok
	}
	return false
}

// FindPasswordResponse
type FindPasswordsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Contains all passwords present in local storage.
	Passwords []*Password `protobuf:"bytes,1,rep,name=passwords,proto3" json:"passwords,omitempty"`
}

func (x *FindPasswordsResponse) Reset() {
	*x = FindPasswordsResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vault_v0alpha_service_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FindPasswordsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FindPasswordsResponse) ProtoMessage() {}

func (x *FindPasswordsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vault_v0alpha_service_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FindPasswordsResponse.ProtoReflect.Descriptor instead.
func (*FindPasswordsResponse) Descriptor() ([]byte, []int) {
	return file_vault_v0alpha_service_proto_rawDescGZIP(), []int{4}
}

func (x *FindPasswordsResponse) GetPasswords() []*Password {
	if x != nil {
		return x.Passwords
	}
	return nil
}

// FindPasswordByIdRequest contains info on password to be fetched.
type FindPasswordByIdRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The password with this id should be requested.
	Id string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *FindPasswordByIdRequest) Reset() {
	*x = FindPasswordByIdRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vault_v0alpha_service_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FindPasswordByIdRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FindPasswordByIdRequest) ProtoMessage() {}

func (x *FindPasswordByIdRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vault_v0alpha_service_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FindPasswordByIdRequest.ProtoReflect.Descriptor instead.
func (*FindPasswordByIdRequest) Descriptor() ([]byte, []int) {
	return file_vault_v0alpha_service_proto_rawDescGZIP(), []int{5}
}

func (x *FindPasswordByIdRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

// FindPasswordByIdResponse contains info about the fetched password.
type FindPasswordByIdResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Contains information about the fetched password.
	Password *Password `protobuf:"bytes,1,opt,name=password,proto3" json:"password,omitempty"`
}

func (x *FindPasswordByIdResponse) Reset() {
	*x = FindPasswordByIdResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vault_v0alpha_service_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FindPasswordByIdResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FindPasswordByIdResponse) ProtoMessage() {}

func (x *FindPasswordByIdResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vault_v0alpha_service_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FindPasswordByIdResponse.ProtoReflect.Descriptor instead.
func (*FindPasswordByIdResponse) Descriptor() ([]byte, []int) {
	return file_vault_v0alpha_service_proto_rawDescGZIP(), []int{6}
}

func (x *FindPasswordByIdResponse) GetPassword() *Password {
	if x != nil {
		return x.Password
	}
	return nil
}

// DeletePasswordByIdRequest contains info on password to be deleted.
type DeletePasswordByIdRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The password with this id should be deleted.
	Id string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *DeletePasswordByIdRequest) Reset() {
	*x = DeletePasswordByIdRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vault_v0alpha_service_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeletePasswordByIdRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeletePasswordByIdRequest) ProtoMessage() {}

func (x *DeletePasswordByIdRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vault_v0alpha_service_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeletePasswordByIdRequest.ProtoReflect.Descriptor instead.
func (*DeletePasswordByIdRequest) Descriptor() ([]byte, []int) {
	return file_vault_v0alpha_service_proto_rawDescGZIP(), []int{7}
}

func (x *DeletePasswordByIdRequest) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

// DeletePasswordByIdResponse contains information about the result on deleting the password.
type DeletePasswordByIdResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Ok is true if the password was deleted successfully, without errors.
	// It can be false, even without errors, when no records were affected.
	Ok bool `protobuf:"varint,1,opt,name=ok,proto3" json:"ok,omitempty"`
}

func (x *DeletePasswordByIdResponse) Reset() {
	*x = DeletePasswordByIdResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vault_v0alpha_service_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeletePasswordByIdResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeletePasswordByIdResponse) ProtoMessage() {}

func (x *DeletePasswordByIdResponse) ProtoReflect() protoreflect.Message {
	mi := &file_vault_v0alpha_service_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeletePasswordByIdResponse.ProtoReflect.Descriptor instead.
func (*DeletePasswordByIdResponse) Descriptor() ([]byte, []int) {
	return file_vault_v0alpha_service_proto_rawDescGZIP(), []int{8}
}

func (x *DeletePasswordByIdResponse) GetOk() bool {
	if x != nil {
		return x.Ok
	}
	return false
}

var File_vault_v0alpha_service_proto protoreflect.FileDescriptor

var file_vault_v0alpha_service_proto_rawDesc = []byte{
	0x0a, 0x1b, 0x76, 0x61, 0x75, 0x6c, 0x74, 0x2f, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2f,
	0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0d, 0x76,
	0x61, 0x75, 0x6c, 0x74, 0x2e, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x1a, 0x1b, 0x62, 0x75,
	0x66, 0x2f, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x65, 0x2f, 0x76, 0x61, 0x6c, 0x69, 0x64,
	0x61, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x65, 0x6d, 0x70, 0x74, 0x79,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1a, 0x76, 0x61, 0x75, 0x6c, 0x74, 0x2f, 0x76, 0x30,
	0x61, 0x6c, 0x70, 0x68, 0x61, 0x2f, 0x73, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x22, 0x83, 0x02, 0x0a, 0x15, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x50, 0x61, 0x73,
	0x73, 0x77, 0x6f, 0x72, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x24, 0x0a, 0x08,
	0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x42, 0x08,
	0xba, 0x48, 0x05, 0x72, 0x03, 0x18, 0xff, 0x01, 0x52, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61,
	0x6d, 0x65, 0x12, 0x24, 0x0a, 0x08, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x18, 0x04,
	0x20, 0x01, 0x28, 0x09, 0x42, 0x08, 0xba, 0x48, 0x05, 0x72, 0x03, 0x18, 0xff, 0x01, 0x52, 0x08,
	0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x12, 0x1c, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65,
	0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x42, 0x08, 0xba, 0x48, 0x05, 0x72, 0x03, 0x18, 0xff, 0x01,
	0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x1a, 0x0a, 0x03, 0x75, 0x72, 0x6c, 0x18, 0x06, 0x20,
	0x01, 0x28, 0x09, 0x42, 0x08, 0xba, 0x48, 0x05, 0x72, 0x03, 0x18, 0xc0, 0x3e, 0x52, 0x03, 0x75,
	0x72, 0x6c, 0x12, 0x1b, 0x0a, 0x09, 0x66, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18,
	0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x66, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x49, 0x64, 0x12,
	0x12, 0x0a, 0x04, 0x6e, 0x6f, 0x74, 0x65, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e,
	0x6f, 0x74, 0x65, 0x12, 0x1c, 0x0a, 0x09, 0x66, 0x61, 0x76, 0x6f, 0x75, 0x72, 0x69, 0x74, 0x65,
	0x18, 0x09, 0x20, 0x01, 0x28, 0x08, 0x52, 0x09, 0x66, 0x61, 0x76, 0x6f, 0x75, 0x72, 0x69, 0x74,
	0x65, 0x4a, 0x04, 0x08, 0x01, 0x10, 0x02, 0x4a, 0x04, 0x08, 0x02, 0x10, 0x03, 0x52, 0x02, 0x69,
	0x64, 0x52, 0x05, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x22, 0x28, 0x0a, 0x16, 0x43, 0x72, 0x65, 0x61,
	0x74, 0x65, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02,
	0x69, 0x64, 0x22, 0x87, 0x02, 0x0a, 0x13, 0x53, 0x61, 0x76, 0x65, 0x50, 0x61, 0x73, 0x73, 0x77,
	0x6f, 0x72, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x24, 0x0a, 0x08, 0x75, 0x73,
	0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x42, 0x08, 0xba, 0x48,
	0x05, 0x72, 0x03, 0x18, 0xff, 0x01, 0x52, 0x08, 0x75, 0x73, 0x65, 0x72, 0x6e, 0x61, 0x6d, 0x65,
	0x12, 0x24, 0x0a, 0x08, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x09, 0x42, 0x08, 0xba, 0x48, 0x05, 0x72, 0x03, 0x18, 0xff, 0x01, 0x52, 0x08, 0x70, 0x61,
	0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x12, 0x1c, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x05,
	0x20, 0x01, 0x28, 0x09, 0x42, 0x08, 0xba, 0x48, 0x05, 0x72, 0x03, 0x18, 0xff, 0x01, 0x52, 0x04,
	0x6e, 0x61, 0x6d, 0x65, 0x12, 0x1a, 0x0a, 0x03, 0x75, 0x72, 0x6c, 0x18, 0x06, 0x20, 0x01, 0x28,
	0x09, 0x42, 0x08, 0xba, 0x48, 0x05, 0x72, 0x03, 0x18, 0xc0, 0x3e, 0x52, 0x03, 0x75, 0x72, 0x6c,
	0x12, 0x1b, 0x0a, 0x09, 0x66, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x07, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x08, 0x66, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x49, 0x64, 0x12, 0x12, 0x0a,
	0x04, 0x6e, 0x6f, 0x74, 0x65, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x6f, 0x74,
	0x65, 0x12, 0x1c, 0x0a, 0x09, 0x66, 0x61, 0x76, 0x6f, 0x75, 0x72, 0x69, 0x74, 0x65, 0x18, 0x09,
	0x20, 0x01, 0x28, 0x08, 0x52, 0x09, 0x66, 0x61, 0x76, 0x6f, 0x75, 0x72, 0x69, 0x74, 0x65, 0x4a,
	0x04, 0x08, 0x02, 0x10, 0x03, 0x52, 0x05, 0x65, 0x6d, 0x61, 0x69, 0x6c, 0x22, 0x26, 0x0a, 0x14,
	0x53, 0x61, 0x76, 0x65, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x6f, 0x6b, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08,
	0x52, 0x02, 0x6f, 0x6b, 0x22, 0x4e, 0x0a, 0x15, 0x46, 0x69, 0x6e, 0x64, 0x50, 0x61, 0x73, 0x73,
	0x77, 0x6f, 0x72, 0x64, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x35, 0x0a,
	0x09, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x17, 0x2e, 0x76, 0x61, 0x75, 0x6c, 0x74, 0x2e, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61,
	0x2e, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x52, 0x09, 0x70, 0x61, 0x73, 0x73, 0x77,
	0x6f, 0x72, 0x64, 0x73, 0x22, 0x29, 0x0a, 0x17, 0x46, 0x69, 0x6e, 0x64, 0x50, 0x61, 0x73, 0x73,
	0x77, 0x6f, 0x72, 0x64, 0x42, 0x79, 0x49, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12,
	0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x22,
	0x4f, 0x0a, 0x18, 0x46, 0x69, 0x6e, 0x64, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x42,
	0x79, 0x49, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x33, 0x0a, 0x08, 0x70,
	0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x17, 0x2e,
	0x76, 0x61, 0x75, 0x6c, 0x74, 0x2e, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2e, 0x50, 0x61,
	0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x52, 0x08, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64,
	0x22, 0x2b, 0x0a, 0x19, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f,
	0x72, 0x64, 0x42, 0x79, 0x49, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a,
	0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x22, 0x2c, 0x0a,
	0x1a, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x42,
	0x79, 0x49, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x6f,
	0x6b, 0x18, 0x01, 0x20, 0x01, 0x28, 0x08, 0x52, 0x02, 0x6f, 0x6b, 0x32, 0xe9, 0x06, 0x0a, 0x0c,
	0x56, 0x61, 0x75, 0x6c, 0x74, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x5d, 0x0a, 0x0e,
	0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x12, 0x24,
	0x2e, 0x76, 0x61, 0x75, 0x6c, 0x74, 0x2e, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2e, 0x43,
	0x72, 0x65, 0x61, 0x74, 0x65, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x1a, 0x25, 0x2e, 0x76, 0x61, 0x75, 0x6c, 0x74, 0x2e, 0x76, 0x30, 0x61,
	0x6c, 0x70, 0x68, 0x61, 0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x50, 0x61, 0x73, 0x73, 0x77,
	0x6f, 0x72, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x57, 0x0a, 0x0c, 0x53,
	0x61, 0x76, 0x65, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x12, 0x22, 0x2e, 0x76, 0x61,
	0x75, 0x6c, 0x74, 0x2e, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2e, 0x53, 0x61, 0x76, 0x65,
	0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a,
	0x23, 0x2e, 0x76, 0x61, 0x75, 0x6c, 0x74, 0x2e, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2e,
	0x53, 0x61, 0x76, 0x65, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x5a, 0x0a, 0x0f, 0x53, 0x61, 0x76, 0x65, 0x4b, 0x34, 0x4c, 0x50,
	0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x12, 0x22, 0x2e, 0x76, 0x61, 0x75, 0x6c, 0x74, 0x2e,
	0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2e, 0x53, 0x61, 0x76, 0x65, 0x50, 0x61, 0x73, 0x73,
	0x77, 0x6f, 0x72, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x23, 0x2e, 0x76, 0x61,
	0x75, 0x6c, 0x74, 0x2e, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2e, 0x53, 0x61, 0x76, 0x65,
	0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x4d, 0x0a, 0x0d, 0x46, 0x69, 0x6e, 0x64, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64,
	0x73, 0x12, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x1a, 0x24, 0x2e, 0x76, 0x61, 0x75, 0x6c,
	0x74, 0x2e, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2e, 0x46, 0x69, 0x6e, 0x64, 0x50, 0x61,
	0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x50, 0x0a, 0x10, 0x46, 0x69, 0x6e, 0x64, 0x4d, 0x65, 0x32, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f,
	0x72, 0x64, 0x73, 0x12, 0x16, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x1a, 0x24, 0x2e, 0x76, 0x61,
	0x75, 0x6c, 0x74, 0x2e, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2e, 0x46, 0x69, 0x6e, 0x64,
	0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x63, 0x0a, 0x10, 0x46, 0x69, 0x6e, 0x64, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72,
	0x64, 0x42, 0x79, 0x49, 0x64, 0x12, 0x26, 0x2e, 0x76, 0x61, 0x75, 0x6c, 0x74, 0x2e, 0x76, 0x30,
	0x61, 0x6c, 0x70, 0x68, 0x61, 0x2e, 0x46, 0x69, 0x6e, 0x64, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f,
	0x72, 0x64, 0x42, 0x79, 0x49, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x27, 0x2e,
	0x76, 0x61, 0x75, 0x6c, 0x74, 0x2e, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2e, 0x46, 0x69,
	0x6e, 0x64, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x42, 0x79, 0x49, 0x64, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x66, 0x0a, 0x13, 0x46, 0x69, 0x6e, 0x64, 0x4d, 0x65,
	0x32, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x42, 0x79, 0x49, 0x64, 0x12, 0x26, 0x2e,
	0x76, 0x61, 0x75, 0x6c, 0x74, 0x2e, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2e, 0x46, 0x69,
	0x6e, 0x64, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x42, 0x79, 0x49, 0x64, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x27, 0x2e, 0x76, 0x61, 0x75, 0x6c, 0x74, 0x2e, 0x76, 0x30,
	0x61, 0x6c, 0x70, 0x68, 0x61, 0x2e, 0x46, 0x69, 0x6e, 0x64, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f,
	0x72, 0x64, 0x42, 0x79, 0x49, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x69,
	0x0a, 0x12, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64,
	0x42, 0x79, 0x49, 0x64, 0x12, 0x28, 0x2e, 0x76, 0x61, 0x75, 0x6c, 0x74, 0x2e, 0x76, 0x30, 0x61,
	0x6c, 0x70, 0x68, 0x61, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x50, 0x61, 0x73, 0x73, 0x77,
	0x6f, 0x72, 0x64, 0x42, 0x79, 0x49, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x29,
	0x2e, 0x76, 0x61, 0x75, 0x6c, 0x74, 0x2e, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2e, 0x44,
	0x65, 0x6c, 0x65, 0x74, 0x65, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x42, 0x79, 0x49,
	0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6c, 0x0a, 0x15, 0x44, 0x65, 0x6c,
	0x65, 0x74, 0x65, 0x4d, 0x65, 0x32, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x42, 0x79,
	0x49, 0x64, 0x12, 0x28, 0x2e, 0x76, 0x61, 0x75, 0x6c, 0x74, 0x2e, 0x76, 0x30, 0x61, 0x6c, 0x70,
	0x68, 0x61, 0x2e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72,
	0x64, 0x42, 0x79, 0x49, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x29, 0x2e, 0x76,
	0x61, 0x75, 0x6c, 0x74, 0x2e, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2e, 0x44, 0x65, 0x6c,
	0x65, 0x74, 0x65, 0x50, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x42, 0x79, 0x49, 0x64, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0xbe, 0x01, 0x0a, 0x11, 0x63, 0x6f, 0x6d, 0x2e,
	0x76, 0x61, 0x75, 0x6c, 0x74, 0x2e, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x42, 0x0c, 0x53,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x50, 0x01, 0x5a, 0x46, 0x67,
	0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65,
	0x68, 0x61, 0x76, 0x65, 0x6e, 0x2f, 0x6d, 0x79, 0x70, 0x61, 0x73, 0x73, 0x2f, 0x67, 0x6f, 0x2e,
	0x6b, 0x65, 0x65, 0x70, 0x73, 0x61, 0x66, 0x65, 0x2f, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61,
	0x6c, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x76, 0x61, 0x75, 0x6c, 0x74, 0x2f, 0x76, 0x30,
	0x61, 0x6c, 0x70, 0x68, 0x61, 0xa2, 0x02, 0x03, 0x56, 0x56, 0x58, 0xaa, 0x02, 0x0d, 0x56, 0x61,
	0x75, 0x6c, 0x74, 0x2e, 0x56, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0xca, 0x02, 0x0d, 0x56, 0x61,
	0x75, 0x6c, 0x74, 0x5c, 0x56, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0xe2, 0x02, 0x19, 0x56, 0x61,
	0x75, 0x6c, 0x74, 0x5c, 0x56, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x5c, 0x47, 0x50, 0x42, 0x4d,
	0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0xea, 0x02, 0x0e, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x3a,
	0x3a, 0x56, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_vault_v0alpha_service_proto_rawDescOnce sync.Once
	file_vault_v0alpha_service_proto_rawDescData = file_vault_v0alpha_service_proto_rawDesc
)

func file_vault_v0alpha_service_proto_rawDescGZIP() []byte {
	file_vault_v0alpha_service_proto_rawDescOnce.Do(func() {
		file_vault_v0alpha_service_proto_rawDescData = protoimpl.X.CompressGZIP(file_vault_v0alpha_service_proto_rawDescData)
	})
	return file_vault_v0alpha_service_proto_rawDescData
}

var file_vault_v0alpha_service_proto_msgTypes = make([]protoimpl.MessageInfo, 9)
var file_vault_v0alpha_service_proto_goTypes = []interface{}{
	(*CreatePasswordRequest)(nil),      // 0: vault.v0alpha.CreatePasswordRequest
	(*CreatePasswordResponse)(nil),     // 1: vault.v0alpha.CreatePasswordResponse
	(*SavePasswordRequest)(nil),        // 2: vault.v0alpha.SavePasswordRequest
	(*SavePasswordResponse)(nil),       // 3: vault.v0alpha.SavePasswordResponse
	(*FindPasswordsResponse)(nil),      // 4: vault.v0alpha.FindPasswordsResponse
	(*FindPasswordByIdRequest)(nil),    // 5: vault.v0alpha.FindPasswordByIdRequest
	(*FindPasswordByIdResponse)(nil),   // 6: vault.v0alpha.FindPasswordByIdResponse
	(*DeletePasswordByIdRequest)(nil),  // 7: vault.v0alpha.DeletePasswordByIdRequest
	(*DeletePasswordByIdResponse)(nil), // 8: vault.v0alpha.DeletePasswordByIdResponse
	(*Password)(nil),                   // 9: vault.v0alpha.Password
	(*emptypb.Empty)(nil),              // 10: google.protobuf.Empty
}
var file_vault_v0alpha_service_proto_depIdxs = []int32{
	9,  // 0: vault.v0alpha.FindPasswordsResponse.passwords:type_name -> vault.v0alpha.Password
	9,  // 1: vault.v0alpha.FindPasswordByIdResponse.password:type_name -> vault.v0alpha.Password
	0,  // 2: vault.v0alpha.VaultService.CreatePassword:input_type -> vault.v0alpha.CreatePasswordRequest
	2,  // 3: vault.v0alpha.VaultService.SavePassword:input_type -> vault.v0alpha.SavePasswordRequest
	2,  // 4: vault.v0alpha.VaultService.SaveK4LPassword:input_type -> vault.v0alpha.SavePasswordRequest
	10, // 5: vault.v0alpha.VaultService.FindPasswords:input_type -> google.protobuf.Empty
	10, // 6: vault.v0alpha.VaultService.FindMe2Passwords:input_type -> google.protobuf.Empty
	5,  // 7: vault.v0alpha.VaultService.FindPasswordById:input_type -> vault.v0alpha.FindPasswordByIdRequest
	5,  // 8: vault.v0alpha.VaultService.FindMe2PasswordById:input_type -> vault.v0alpha.FindPasswordByIdRequest
	7,  // 9: vault.v0alpha.VaultService.DeletePasswordById:input_type -> vault.v0alpha.DeletePasswordByIdRequest
	7,  // 10: vault.v0alpha.VaultService.DeleteMe2PasswordById:input_type -> vault.v0alpha.DeletePasswordByIdRequest
	1,  // 11: vault.v0alpha.VaultService.CreatePassword:output_type -> vault.v0alpha.CreatePasswordResponse
	3,  // 12: vault.v0alpha.VaultService.SavePassword:output_type -> vault.v0alpha.SavePasswordResponse
	3,  // 13: vault.v0alpha.VaultService.SaveK4LPassword:output_type -> vault.v0alpha.SavePasswordResponse
	4,  // 14: vault.v0alpha.VaultService.FindPasswords:output_type -> vault.v0alpha.FindPasswordsResponse
	4,  // 15: vault.v0alpha.VaultService.FindMe2Passwords:output_type -> vault.v0alpha.FindPasswordsResponse
	6,  // 16: vault.v0alpha.VaultService.FindPasswordById:output_type -> vault.v0alpha.FindPasswordByIdResponse
	6,  // 17: vault.v0alpha.VaultService.FindMe2PasswordById:output_type -> vault.v0alpha.FindPasswordByIdResponse
	8,  // 18: vault.v0alpha.VaultService.DeletePasswordById:output_type -> vault.v0alpha.DeletePasswordByIdResponse
	8,  // 19: vault.v0alpha.VaultService.DeleteMe2PasswordById:output_type -> vault.v0alpha.DeletePasswordByIdResponse
	11, // [11:20] is the sub-list for method output_type
	2,  // [2:11] is the sub-list for method input_type
	2,  // [2:2] is the sub-list for extension type_name
	2,  // [2:2] is the sub-list for extension extendee
	0,  // [0:2] is the sub-list for field type_name
}

func init() { file_vault_v0alpha_service_proto_init() }
func file_vault_v0alpha_service_proto_init() {
	if File_vault_v0alpha_service_proto != nil {
		return
	}
	file_vault_v0alpha_serial_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_vault_v0alpha_service_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreatePasswordRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vault_v0alpha_service_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreatePasswordResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vault_v0alpha_service_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SavePasswordRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vault_v0alpha_service_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SavePasswordResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vault_v0alpha_service_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FindPasswordsResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vault_v0alpha_service_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FindPasswordByIdRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vault_v0alpha_service_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FindPasswordByIdResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vault_v0alpha_service_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeletePasswordByIdRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vault_v0alpha_service_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeletePasswordByIdResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_vault_v0alpha_service_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   9,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_vault_v0alpha_service_proto_goTypes,
		DependencyIndexes: file_vault_v0alpha_service_proto_depIdxs,
		MessageInfos:      file_vault_v0alpha_service_proto_msgTypes,
	}.Build()
	File_vault_v0alpha_service_proto = out.File
	file_vault_v0alpha_service_proto_rawDesc = nil
	file_vault_v0alpha_service_proto_goTypes = nil
	file_vault_v0alpha_service_proto_depIdxs = nil
}
